POST
Create a wallet share
Share wallet with an existing BitGo user
Path Params
-
coinstring requiredA cryptocurrency or token ticker symbol. -
walletIdstring requiredThe wallet ID.
Body Params
object
-
permissionstring enumComma-separated list of privileges for a wallet. Includes:
admin- Can manage wallet policies and users and approve or reject pending approvals.freeze- Can freeze a wallet, disabling all withdrawals.spend- Can initiate withdrawals and generate new receive addresses.trade- Can initiate trades from a Go Account (tradingwallet type).view- Can view balances and transactions.
Permissions don't overlap. Required parameter if 'reshare' is false.
adminspendtradeview -
messagestringUser readable message to display to the share recipient -
resharebooleanFlag for reinviting a user to the wallet. This is required if the invitee has already been invited to the wallet, but has changed their password and needs a new invite -
disableEmailbooleanFlag for disabling invite notification email -
userstring required -
keychainobjectKey passed to the receiving user, included if the wallet was shared with spend permissionkeychain object
-
pubstringOne of wallet pub (onchain) or commonKeychain (MPC) -
encryptedPrvstringPrivate key of the user sharing the wallet encrypted under their wallet passphrase -
fromPubKeystringDerived public key of the user sharing the wallet -
toPubKeystringDerived public key of the user receiving the share -
pathstringBIP32 HD path of the derived public keys (fromPubKey and toPubKey)
-
-
skipKeychainbooleanIf true, allows creating wallet shares without a sharing a key (keychain) when the wallet is shared with spend permission.
Responses
200
OK
Response Body
object
Wallet share object
-
idstringWallet share id -
coinstringCoin of the wallet -
walletstringWallet id -
walletLabelstring -
fromUserstringId of the user sharing the wallet -
toUserstringId of the user receiving the share -
permissionsstring enumComma-separated list of privileges for a wallet. Includes:
- `admin` - Can manage wallet policies and users and approve or reject pending approvals. - `freeze` - Can freeze a wallet, disabling all withdrawals. - `spend` - Can initiate withdrawals and generate new receive addresses. - `trade` - Can initiate trades from a Go Account (`trading` wallet type). - `view` - Can view balances and transactions.Permissions don't overlap. Required parameter if 'reshare' is false.
adminspendtradeview -
messagestringMessage for the user receiving the share -
statestring enumState of the sharependingapprovalactiveacceptedcanceledrejected -
enterprisestringIf the wallet belongs to an enterprise, the id of that enterprise -
pendingApprovalIdstringIf the share generated a pending approval, the id of that pending approval -
keychainobjectKey passed to the receiving user, included if the wallet was shared with spend permissionkeychain object
-
pubstringOne of wallet pub (onchain) or commonKeychain (MPC) -
encryptedPrvstringPrivate key of the user sharing the wallet encrypted under their wallet passphrase -
fromPubKeystringDerived public key of the user sharing the wallet -
toPubKeystringDerived public key of the user receiving the share -
pathstringBIP32 HD path of the derived public keys (fromPubKey and toPubKey)
-
400
Bad Request
Response Body
object
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code